clang 8.0.0

Public Member Functions | Friends | List of all members
clang::CFGNewAllocator Class Reference

Represents C++ allocator call. More...

`#include "clang/Analysis/CFG.h"`

Inheritance diagram for clang::CFGNewAllocator:
[legend]
Collaboration diagram for clang::CFGNewAllocator:
[legend]

## Public Member Functions
| CFGNewAllocator (const CXXNewExpr *S)
const CXXNewExpr * | getAllocatorExpr () const
Public Member Functions inherited from clang::CFGElement
template<typename T >
T | castAs () const
| Convert to the specified CFGElement type, asserting that this CFGElement is of the desired type. More...
template<typename T >
Optional< T > | getAs () const
| Convert to the specified CFGElement type, returning None if this CFGElement is not of the desired type. More...
Kind | getKind () const

## Friends
class | CFGElement

## Additional Inherited Members
Public Types inherited from clang::CFGElement
enum | Kind { Initializer, ScopeBegin, ScopeEnd, NewAllocator, LifetimeEnds, LoopExit, Statement, Constructor, CXXRecordTypedCall, STMT_BEGIN = Statement, STMT_END = CXXRecordTypedCall, AutomaticObjectDtor, DeleteDtor, BaseDtor, MemberDtor, TemporaryDtor, DTOR_BEGIN = AutomaticObjectDtor, DTOR_END = TemporaryDtor }
Protected Member Functions inherited from clang::CFGElement
| CFGElement (Kind kind, const void *Ptr1, const void *Ptr2=nullptr)
| CFGElement ()=default
Protected Attributes inherited from clang::CFGElement
llvm::PointerIntPair< void *, 2 > | Data1
llvm::PointerIntPair< void *, 2 > | Data2

## Detailed Description

Represents C++ allocator call.

Definition at line 240 of file CFG.h.

## Constructor & Destructor Documentation

## ◆ CFGNewAllocator()

clang::CFGNewAllocator::CFGNewAllocator | ( | const CXXNewExpr * | S | ) |
| inline explicit

Definition at line 242 of file CFG.h.

## Member Function Documentation

## ◆ getAllocatorExpr()

const CXXNewExpr* clang::CFGNewAllocator::getAllocatorExpr | ( |  | ) | const
| inline

Definition at line 246 of file CFG.h.

References clang::CFGElement::Data1.

Referenced by getLocationForCaller(), and clang::ento::ExprEngine::processCFGElement().

## Friends And Related Function Documentation

## ◆ CFGElement

friend class CFGElement
| friend

Definition at line 251 of file CFG.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/CFG.h